<?php
	$form = new XoopsThemeForm("", "dbform", "install.php");
	$db_select = new XoopsFormSelect(_INSTALL_L51."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L66."</span><b>", "database", $database);
	$db_select->addOption("mysql", "MySQL");
	$dbhost_text = new XoopsFormText(_INSTALL_L27."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L67."</span><b>", "dbhost", 30, 100, $dbhost);
	$dbuname_text = new XoopsFormText(_INSTALL_L28."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L65."</span><b>", "dbuname", 30, 100, $dbuname);
	$dbpass_text = new XoopsFormText(_INSTALL_L52."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L68."</span><b>", "dbpass", 30, 100, $dbpass);
	$dbname_text = new XoopsFormText(_INSTALL_L29."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L64."</span><b>", "dbname", 30, 100, $dbname);
	$dbprefix_text = new XoopsFormText(_INSTALL_L30."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L63."</span><b>", "prefix", 30, 100, $prefix);
	$dbpconnect_radio = new XoopsFormRadioYN(_INSTALL_L54."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L69."</span><b>", "db_pconnect", $db_pconnect, _INSTALL_L23, _INSTALL_L24);
	$rootpath_text = new XoopsFormText(_INSTALL_L55."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L59."</span><b>", "root_path", 50, 100, $root_path);
	$xoopsurl_text = new XoopsFormText(_INSTALL_L56."<br /><br /></b><span style='font-size:x-small;'>"._INSTALL_L58."</span><b>", "xoops_url", 50, 100, $xoops_url);
	$op_hidden = new XoopsFormHidden("op", "dbconfirm");
	$submit_button = new XoopsFormButton("", "dbsubmit", _INSTALL_L47, "submit");
	$form->addElement($db_select);
	$form->addElement($dbhost_text);
	$form->addElement($dbuname_text);
	$form->addElement($dbpass_text);
	$form->addElement($dbname_text);
	$form->addElement($dbprefix_text);
	$form->addElement($dbpconnect_radio);
	$form->addElement($rootpath_text);
	$form->addElement($xoopsurl_text);
	$form->addElement($op_hidden);
	$form->addElement($submit_button);
	$form->display();
?>